#!/usr/bin/env bash

# src dir
SCRIPT_DIR="$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

# install backend requirements
python3 -m venv $SCRIPT_DIR/backend/.venv
source $SCRIPT_DIR/backend/.venv/bin/activate
python3 -m pip install --upgrade pip wheel setuptools
python3 -m pip install -r $SCRIPT_DIR/backend/requirements.txt
deactivate

# install system configurator requirements
python3 -m venv $SCRIPT_DIR/system_configurator/.venv
source $SCRIPT_DIR/system_configurator/.venv/bin/activate
python3 -m pip install --upgrade pip wheel setuptools
python3 -m pip install -r $SCRIPT_DIR/system_configurator/requirements.txt
deactivate

# create services links

sudo ln -s $SCRIPT_DIR/conf/system-configurator.service /etc/systemd/system/system-configurator.service

sudo ln -s $SCRIPT_DIR/conf/lightmaster.service /etc/systemd/system/lightmaster.service

sudo ln -s $SCRIPT_DIR/conf/daphne.socket /etc/systemd/system/daphne.socket
sudo ln -s $SCRIPT_DIR/conf/daphne.service /etc/systemd/system/daphne.service

sudo ln -s $SCRIPT_DIR/conf/gunicorn.socket /etc/systemd/system/gunicorn.socket
sudo ln -s $SCRIPT_DIR/conf/gunicorn.service /etc/systemd/system/gunicorn.service

sudo rm /etc/nginx/sites-enabled/default
sudo ln -s $SCRIPT_DIR/conf/nginx/lightmaster.conf /etc/nginx/sites-enabled/lightmaster

# start services
sudo systemctl enable system-configurator.service
sudo systemctl start system-configurator.service

sudo systemctl enable lm_update.service
sudo systemctl start lm_update.service

sudo systemctl enable daphne.socket
sudo systemctl start daphne.socket

sudo systemctl enable gunicorn.socket
sudo systemctl start gunicorn.socket

sudo systemctl stop nginx.service 
sudo systemctl start nginx.service 

sudo systemctl enable lightmaster.service
sudo systemctl start lightmaster.service