"""First

Revision ID: 9373bd38195e
Revises: 
Create Date: 2022-09-23 12:27:16.280121

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9373bd38195e'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('sp_cert_type',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_sp_cert_type')),
    sa.UniqueConstraint('id', name=op.f('uq_sp_cert_type_id')),
    sa.UniqueConstraint('name', name=op.f('uq_sp_cert_type_name'))
    )
    op.create_table('sp_param',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_sp_param')),
    sa.UniqueConstraint('id', name=op.f('uq_sp_param_id')),
    sa.UniqueConstraint('name', name=op.f('uq_sp_param_name'))
    )
    op.create_table('certificate',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.Column('public_bytes', sa.String(), nullable=False),
    sa.Column('id_sp_c_type', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['id_sp_c_type'], ['sp_cert_type.id'], name=op.f('fk_certificate_id_sp_c_type_sp_cert_type')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_certificate')),
    sa.UniqueConstraint('id', name=op.f('uq_certificate_id')),
    sa.UniqueConstraint('name', name=op.f('uq_certificate_name'))
    )
    op.create_table('sp_cert_param',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_sp_cert_type', sa.Integer(), nullable=True),
    sa.Column('id_sp_param', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['id_sp_cert_type'], ['sp_cert_type.id'], name=op.f('fk_sp_cert_param_id_sp_cert_type_sp_cert_type')),
    sa.ForeignKeyConstraint(['id_sp_param'], ['sp_param.id'], name=op.f('fk_sp_cert_param_id_sp_param_sp_param')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_sp_cert_param')),
    sa.UniqueConstraint('id', name=op.f('uq_sp_cert_param_id'))
    )
    op.create_table('cert_param',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_cert', sa.Integer(), nullable=True),
    sa.Column('id_sp_c_p', sa.Integer(), nullable=True),
    sa.Column('value', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['id_cert'], ['certificate.id'], name=op.f('fk_cert_param_id_cert_certificate'), ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['id_sp_c_p'], ['sp_cert_param.id'], name=op.f('fk_cert_param_id_sp_c_p_sp_cert_param'), ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_cert_param')),
    sa.UniqueConstraint('id', name=op.f('uq_cert_param_id'))
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('cert_param')
    op.drop_table('sp_cert_param')
    op.drop_table('certificate')
    op.drop_table('sp_param')
    op.drop_table('sp_cert_type')
    # ### end Alembic commands ###
