"""Fill out data to SP tables

Revision ID: b8ddc70f8bef
Revises: 9373bd38195e
Create Date: 2022-09-23 12:27:28.191257

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'b8ddc70f8bef'
down_revision = '9373bd38195e'
branch_labels = None
depends_on = None


def upgrade():
    # Insert cert types
    op.execute("INSERT INTO sp_cert_type (id, name) VALUES (1, 'certificate')")
    op.execute("INSERT INTO sp_cert_type (id, name) VALUES (2, 'csr')")
    # Insert params related types
    op.execute("INSERT INTO sp_param (id, name) VALUES (1, 'subject')")
    op.execute("INSERT INTO sp_param (id, name) VALUES (2, 'issuer')")
    op.execute("INSERT INTO sp_param (id, name) VALUES (3, 'valid_from')")
    op.execute("INSERT INTO sp_param (id, name) VALUES (4, 'valid_to')")
    op.execute("INSERT INTO sp_param (id, name) VALUES (5, 'san')")
    # Insert relations between cert type and params
    op.execute("INSERT INTO sp_cert_param (id, id_sp_cert_type, id_sp_param) VALUES (1, 1, 1)")
    op.execute("INSERT INTO sp_cert_param (id, id_sp_cert_type, id_sp_param) VALUES (2, 1, 2)")
    op.execute("INSERT INTO sp_cert_param (id, id_sp_cert_type, id_sp_param) VALUES (3, 1, 3)")
    op.execute("INSERT INTO sp_cert_param (id, id_sp_cert_type, id_sp_param) VALUES (4, 1, 4)")
    op.execute("INSERT INTO sp_cert_param (id, id_sp_cert_type, id_sp_param) VALUES (5, 1, 5)")

    op.execute("INSERT INTO sp_cert_param (id, id_sp_cert_type, id_sp_param) VALUES (7, 2, 1)")
    op.execute("INSERT INTO sp_cert_param (id, id_sp_cert_type, id_sp_param) VALUES (8, 2, 5)")


def downgrade():
    pass
