"""Маршруты mqtt publisher'a сервиса external_access."""
from system_configurator.core.api.api_mqtt.publishers import ObserverObject, PublisherRouteDict
from system_configurator.external_access.api.api_mqtt.publisher_commands import (
    PublishAllCertificatesCommand,
    PublishWebAccessSettingsCommand,
)


publish_routes: list[PublisherRouteDict] = [
    {
        'name': 'web_access_settings',
        'topic': 'lm/system_settings/external_access/web_access_settings',
        'observed_object': ObserverObject(type='file', value='/home/lightmaster/lightmaster/conf/nginx/lightmaster.conf'),
        'publisher': PublishWebAccessSettingsCommand(),
        'startup': True,
    },
    {
        'name': 'certificates',
        'topic': 'lm/system_settings/external_access/certificates',
        'observed_object': ObserverObject(type='table', value='certificate'),
        'publisher': PublishAllCertificatesCommand(),
        'startup': True,
    },
]
