"""Маршруты mqtt router'a сервиса external_access."""
from system_configurator.core.api.api_mqtt.router import TRouter
from system_configurator.external_access.api.api_mqtt.router_commands import (
    ChangeNginxConfigCommand,
    DeleteCertCommand,
    GenerateCsrCommand,
    GenerateSelfSignedCertCommand,
    UploadCertCommand,
    UploadCertCorrespondingCsrCommand,
)


router: TRouter = {
    'lm/system_settings/external_access/change_web_access_settings': ChangeNginxConfigCommand(),
    'lm/system_settings/certificates/upload_certificate': UploadCertCommand(),
    'lm/system_settings/certificates/upload_certificate_corresponding_csr': UploadCertCorrespondingCsrCommand(),
    'lm/system_settings/certificates/delete_certificate': DeleteCertCommand(),
    'lm/system_settings/certificates/generate_csr': GenerateCsrCommand(),
    'lm/system_settings/certificates/generate_self_sign_certificate': GenerateSelfSignedCertCommand(),
}
