"""Публикация mqtt сообщений по определенным событиям."""
from system_configurator.core.api.api_mqtt.publishers import ObserverObject, PublisherRouteDict
from system_configurator.network.api.api_mqtt.publisher_commands import (
    PublishWiredInterfacesCredentialsCommand,
    PublishModemInterfacesCredentialsCommand,
)


publish_routes: list[PublisherRouteDict] = [
    {
        'name': 'wired_iface_info',
        'topic': 'lm/system_settings/network/interfaces/wired/statistics',
        'observed_object': ObserverObject(type='time_interval', value='10'),
        'publisher': PublishWiredInterfacesCredentialsCommand(),
        'startup': True,
    },
    {
        'name': 'wired_iface_info_when_changed',
        'topic': 'lm/system_settings/network/interfaces/wired/statistics',
        'observed_object': ObserverObject(type='internal_event', value='wired_iface_config_was_applied'),
        'publisher': PublishWiredInterfacesCredentialsCommand(),
        'startup': False,
    },
    {
        'name': 'modem_iface_info',
        'topic': 'lm/system_settings/network/interfaces/modem/statistics',
        'observed_object': ObserverObject(type='time_interval', value='10'),
        'publisher': PublishModemInterfacesCredentialsCommand(),
        'startup': True,
    },
    {
        'name': 'modem_iface_info_when_changed',
        'topic': 'lm/system_settings/network/interfaces/modem/statistics',
        'observed_object': ObserverObject(type='internal_event', value='wired_iface_config_was_applied'),
        'publisher': PublishModemInterfacesCredentialsCommand(),
        'startup': False,
    },
]
