"""Pydantic Schemas."""
from typing import NamedTuple, Type, cast

from pydantic import create_model_from_namedtuple

from system_configurator.network.services.network_interface_services import (
    IApnCredential,
    IDhcpDnsCredential,
    IDhcpIpCredential,
    IStaticDnsCredential,
    IStaticIPCredential,
)


StaticIPCredentialSchema = create_model_from_namedtuple(cast(Type[NamedTuple], IStaticIPCredential))
DhcpIpCredentialSchema = create_model_from_namedtuple(cast(Type[NamedTuple], IDhcpIpCredential))
StaticDnsCredentialSchema = create_model_from_namedtuple(cast(Type[NamedTuple], IStaticDnsCredential))
DhcpDnsCredentialSchema = create_model_from_namedtuple(cast(Type[NamedTuple], IDhcpDnsCredential))
ApnCredentialSchema = create_model_from_namedtuple(cast(Type[NamedTuple], IApnCredential))
