
from typing import Type
from system_configurator.core.api.api_mqtt.msg_handlers import CommandRunner, ISetSystemParamCommand
from system_configurator.core.api.api_mqtt.router import TRouter
from system_configurator.timedate.services.timedate import (
    ChangeNtpSynchronizationCommand,
    SetNtpServersCommand,
    SetSystemDateCommand,
    SetSystemDatetimeCommand,
    SetSystemTimeCommand,
    SetSystemTimezoneCommand,
)


command_datetime_fabric: dict[str, Type[ISetSystemParamCommand]] = {
    # Datetime
    'set_date': SetSystemDateCommand,
    'set_time': SetSystemTimeCommand,
    'set_datetime': SetSystemDatetimeCommand,
    'change_ntp_status': ChangeNtpSynchronizationCommand,
    'set_ntp_servers': SetNtpServersCommand,
    'set_timezone': SetSystemTimezoneCommand,
}

command_datetime_runner = CommandRunner(command_datetime_fabric)


router: TRouter = {
    'lm/system_settings/datetime': command_datetime_runner,
}
