"""Add the RawUDP trigger type to SP tables

Revision ID: a2f825597d34
Revises: 1cf47e440a50
Create Date: 2022-08-31 11:07:50.931912

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a2f825597d34'
down_revision = '1cf47e440a50'
branch_labels = None
depends_on = None


def upgrade():
    # Insert trigger types
    op.execute("INSERT INTO sp_trigger_type (id, name) VALUES (2, 'RawUDP')")
    # Insert params related triggers
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (11, 'data', 'str')")
    # Insert relations between trigger type and params
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (8, 2, 1)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (9, 2, 2)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (10, 2, 3)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (11, 2, 11)")


def downgrade():
    pass
