"""Fill out data to SP tables

Revision ID: bcd15ab13557
Revises: c223762dca98
Create Date: 2022-08-15 13:49:53.639940

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'bcd15ab13557'
down_revision = 'c223762dca98'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # Insert trigger types
    op.execute("INSERT INTO sp_trigger_type (id, name) VALUES (1, 'ArtNet')")
    # Insert params related triggers
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (1, 'network_type', 'str')")
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (2, 'listen_ip', 'str')")
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (3, 'listen_port', 'int')")
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (4, 'universe', 'int')")
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (5, 'channel', 'int')")
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (6, 'min_level', 'int')")
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (7, 'max_level', 'int')")
    # Insert relations between trigger type and params
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (1, 1, 1)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (2, 1, 2)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (3, 1, 3)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (4, 1, 4)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (5, 1, 5)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (6, 1, 6)")
    op.execute("INSERT INTO sp_trigger_param (id, id_sp_trigger_type, id_sp_param) VALUES (7, 1, 7)")
    # Insert action types
    op.execute("INSERT INTO sp_action_type (id, name) VALUES (1, 'send_mqtt_msg_raw')")
    op.execute("INSERT INTO sp_action_type (id, name) VALUES (2, 'send_trigger_to_mqtt')")
    # insert params related action
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (8, 'topic', 'str')")
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (9, 'payload', 'str')")
    op.execute("INSERT INTO sp_param (id, name, type) VALUES (10, 'retain', 'bool')")
    # Insert relations between action type and params
    op.execute("INSERT INTO sp_action_param (id, id_sp_action_type, id_sp_param) VALUES (1, 1, 8)")
    op.execute("INSERT INTO sp_action_param (id, id_sp_action_type, id_sp_param) VALUES (2, 1, 9)")
    op.execute("INSERT INTO sp_action_param (id, id_sp_action_type, id_sp_param) VALUES (3, 1, 10)")
    op.execute("INSERT INTO sp_action_param (id, id_sp_action_type, id_sp_param) VALUES (4, 2, 8)")
    op.execute("INSERT INTO sp_action_param (id, id_sp_action_type, id_sp_param) VALUES (5, 2, 9)")
    op.execute("INSERT INTO sp_action_param (id, id_sp_action_type, id_sp_param) VALUES (6, 2, 10)")


def downgrade() -> None:
    pass
