"""First

Revision ID: c223762dca98
Revises: 
Create Date: 2022-08-15 13:16:49.877404

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c223762dca98'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('sp_action_type',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_sp_action_type')),
    sa.UniqueConstraint('id', name=op.f('uq_sp_action_type_id')),
    sa.UniqueConstraint('name', name=op.f('uq_sp_action_type_name'))
    )
    op.create_table('sp_param',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.Column('type', sa.String(), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_sp_param')),
    sa.UniqueConstraint('id', name=op.f('uq_sp_param_id')),
    sa.UniqueConstraint('name', name=op.f('uq_sp_param_name'))
    )
    op.create_table('sp_trigger_type',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_sp_trigger_type')),
    sa.UniqueConstraint('id', name=op.f('uq_sp_trigger_type_id')),
    sa.UniqueConstraint('name', name=op.f('uq_sp_trigger_type_name'))
    )
    op.create_table('action',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.Column('id_sp_a_type', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['id_sp_a_type'], ['sp_action_type.id'], name=op.f('fk_action_id_sp_a_type_sp_action_type')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_action')),
    sa.UniqueConstraint('id', name=op.f('uq_action_id')),
    sa.UniqueConstraint('name', name=op.f('uq_action_name'))
    )
    op.create_table('sp_action_param',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_sp_action_type', sa.Integer(), nullable=True),
    sa.Column('id_sp_param', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['id_sp_action_type'], ['sp_action_type.id'], name=op.f('fk_sp_action_param_id_sp_action_type_sp_action_type')),
    sa.ForeignKeyConstraint(['id_sp_param'], ['sp_param.id'], name=op.f('fk_sp_action_param_id_sp_param_sp_param')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_sp_action_param')),
    sa.UniqueConstraint('id', name=op.f('uq_sp_action_param_id'))
    )
    op.create_table('sp_trigger_param',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_sp_trigger_type', sa.Integer(), nullable=True),
    sa.Column('id_sp_param', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['id_sp_param'], ['sp_param.id'], name=op.f('fk_sp_trigger_param_id_sp_param_sp_param')),
    sa.ForeignKeyConstraint(['id_sp_trigger_type'], ['sp_trigger_type.id'], name=op.f('fk_sp_trigger_param_id_sp_trigger_type_sp_trigger_type')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_sp_trigger_param')),
    sa.UniqueConstraint('id', name=op.f('uq_sp_trigger_param_id'))
    )
    op.create_table('trigger',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.Column('id_sp_tr_type', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['id_sp_tr_type'], ['sp_trigger_type.id'], name=op.f('fk_trigger_id_sp_tr_type_sp_trigger_type')),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_trigger')),
    sa.UniqueConstraint('id', name=op.f('uq_trigger_id')),
    sa.UniqueConstraint('name', name=op.f('uq_trigger_name'))
    )
    op.create_table('action_param',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_action', sa.Integer(), nullable=True),
    sa.Column('id_sp_a_param', sa.Integer(), nullable=True),
    sa.Column('value', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['id_action'], ['action.id'], name=op.f('fk_action_param_id_action_action'), ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['id_sp_a_param'], ['sp_action_param.id'], name=op.f('fk_action_param_id_sp_a_param_sp_action_param'), ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_action_param')),
    sa.UniqueConstraint('id', name=op.f('uq_action_param_id'))
    )
    op.create_table('trigger_action',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_trigger', sa.Integer(), nullable=True),
    sa.Column('id_action', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['id_action'], ['action.id'], name=op.f('fk_trigger_action_id_action_action'), ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['id_trigger'], ['trigger.id'], name=op.f('fk_trigger_action_id_trigger_trigger'), ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_trigger_action')),
    sa.UniqueConstraint('id', name=op.f('uq_trigger_action_id'))
    )
    op.create_table('trigger_param',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_trigger', sa.Integer(), nullable=True),
    sa.Column('id_sp_tr_param', sa.Integer(), nullable=True),
    sa.Column('value', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['id_sp_tr_param'], ['sp_trigger_param.id'], name=op.f('fk_trigger_param_id_sp_tr_param_sp_trigger_param'), ondelete='CASCADE'),
    sa.ForeignKeyConstraint(['id_trigger'], ['trigger.id'], name=op.f('fk_trigger_param_id_trigger_trigger'), ondelete='CASCADE'),
    sa.PrimaryKeyConstraint('id', name=op.f('pk_trigger_param')),
    sa.UniqueConstraint('id', name=op.f('uq_trigger_param_id'))
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('trigger_param')
    op.drop_table('trigger_action')
    op.drop_table('action_param')
    op.drop_table('trigger')
    op.drop_table('sp_trigger_param')
    op.drop_table('sp_action_param')
    op.drop_table('action')
    op.drop_table('sp_trigger_type')
    op.drop_table('sp_param')
    op.drop_table('sp_action_type')
    # ### end Alembic commands ###
