import os
import pathlib

running_dir = pathlib.Path(os.path.realpath(__file__)).parent

LOGGING_CONFIG = {
    'version': 1,
    'disable_existing_loggers': False,
    'formatters': {
        'standard': {
            'format': '%(asctime)s [%(levelname)s] restore: %(message)s'
        },
    },
    'handlers': {
        'debug_console_handler': {
            'level': 'DEBUG',
            'formatter': 'standard',
            'class': 'logging.StreamHandler',
            'stream': 'ext://sys.stdout',
        },
        'file_handler': {
            'level': 'DEBUG',
            'formatter': 'standard',
            'class': 'logging.FileHandler',
            'filename': running_dir/'restore.log',
            'mode': 'a',
        },
    },
    'loggers': {
        # '': {  # root logger
        #     'handlers': ['debug_console_handler', 'file_handler'],
        #     'level': 'DEBUG',
        #     'propagate': True,
        # },
        'restore': {
            'handlers': ['debug_console_handler', 'file_handler'],
            'level': 'DEBUG',
            'propagate': True,
        },
        '__main__': {
            'handlers': ['debug_console_handler', 'file_handler'],
            'level': 'DEBUG',
            'propagate': True,
        },
    } 
}