"""Package settings."""
# TODO: Вычистить неиспользуемое
import logging
import pathlib

DEBUG = True

LOG_CONFIG = {
    "FILE": None,
    "FORMAT": "[%(asctime)s] %(levelname).1s %(message)s",
    "LEVEL": logging.DEBUG if DEBUG else logging.INFO,
    "DATE_FORMAT": "%Y.%m.%d %H:%M:%S",
}

SERVICE_TOPICS = {
    'error': 'lm/update_service/error',
}

LM_BASE_DIR = '/home/lightmaster/lightmaster'
UPDATES_STORE_DIR = str(pathlib.Path().absolute() / 'updates_store')
BACKUPS_STORE_DIR = str(pathlib.Path().absolute() / 'backups_store')
ARCHIVE_TYPE = 'tar'

PYTHON_EXECUTABLE_PATH = '/usr/bin/python'

UPDATE_INFO_FILENAME = 'metadata.json'
UPDATE_RESULT_FILENAME = 'STATE.json'

INET_CON_CHECK_PARAMS = {
    'checking_host': 'pypi.org',
    'checking_port': 443,
}


BEFORE_ADDED_UPDATE_CHECKS = [
    'check_update_file_is_exist',
    'check_update_dont_exist_in_db',
]

INITIAL_UPDATE_CHECKS = [
    'check_update_file_is_exist',
    'check_version',
    'check_is_archive',
    'check_metadata_exist_in_archive',
]

BEFORE_INSTALL_UPDATE_CHECKS = [
    'check_inet_connection',
    'check_version',
    'check_update_is_exist_in_db',
]


POST_INSTALL_UPDATE_CHECKS: list[str] = [

]

# 'backups_store' должен присутствовать обязательно!! иначе будет рекурсия при бекапе
BACKUP_IGNORE = [
    '.vscode', 'cues', '__pycache__', 'node_modules', 'temp', '.mypy_cache', '.git', 'backups_store', "updates_store",
]


links = [
    {'from': './conf/system-configurator.service', 'to': '/etc/systemd/system/system-configurator.service'},
    {'from': './conf/lightmaster.service', 'to': '/etc/systemd/system/lightmaster.service'},
    {'from': './conf/daphne.socket', 'to': '/etc/systemd/system/daphne.socket'},
    {'from': './conf/daphne.service', 'to': '/etc/systemd/system/daphne.service'},
    {'from': './conf/gunicorn.socket', 'to': '/etc/systemd/system/gunicorn.socket'},
    {'from': './conf/gunicorn.service', 'to': '/etc/systemd/system/gunicorn.service'},
    {'from': './conf/nginx/lightmaster.conf', 'to': '/etc/nginx/sites-enabled/lightmaster'},
]

internal_services = [
    'system-configurator.service',
    'daphne.socket',
    'gunicorn.socket',
    'lightmaster.service',
]

related_services = [
    'nginx.service',
]
